import { useState } from "react";
import Button from "./Button";
import Display from "./Display";

function App() {
  const [index, setIndex] = useState(0);
  const primes = getPrimesUpTo(1000); // Du kannst den Bereich hier vergrößern

  function getPrimesUpTo(limit) {
    const result = [];
    for (let n = 2; n <= limit; n++) {
      if (isPrime(n)) result.push(n);
    }
    return result;
  }

  function isPrime(n) {
    if (n < 2) return false;
    for (let i = 2; i <= Math.sqrt(n); i++) {
      if (n % i === 0) return false;
    }
    return true;
  }

  // Nächte primzahl

  // const nextPrime = () => {
  //   if (index < primes.length - 1) {
  //     setIndex(index + 1);
  //   }
  // };

//Random primzahl

 const nextPrime = () => {
   const randomIndex = Math.floor(Math.random() * primes.length);
   setIndex(randomIndex);
 };

  return (
    <div>
      <Button myText="Nächste Primzahl" callBack={nextPrime} />
      <Display myVal={`Primzahl: ${primes[index]}`} />
    </div>
  );
}

export default App;
